@import url('https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400..700;1,400..700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
body {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #313131;
    color: #ffffff;
    height: 100vh; 
    margin: 0; 
    font-family: "Roboto" ,sans-serif;
}


.container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh; 
    text-align: center;
}
.container h1 {
    margin: 0 0 20px 0; 
    font-size: 25px;
    color: #ff8d30;
    font-weight: 500;
    
  
}


#card {
    display: flex;
    flex-direction: column; 
    justify-content: flex-start; 
    align-items: center; 
    width: 500px;
    height: 580px;
    border-radius: 20px;
     background-image: url('main-bg.jpg'); 
     background-size: cover;
    background-position: center;
    background-repeat: no-repeat; 
    box-shadow: 0 5px 20px 0 rgba(176, 176, 176, 0.37);
    backdrop-filter: blur( 4px );
    -webkit-backdrop-filter: blur( 4px );
    border: 1px solid rgba( 255, 255, 255, 0.18 );
    padding-top: 20px; 
    text-align: center;
}

.input-container {
    position: relative;
    width: 300px;
}


.input-container {
    position: relative;
    width: 300px;
}

.input-container input {
    width: 85%;
    padding: 10px 40px 10px 20px; 
    border-radius: 30px;
    border: none;
    font-size: 16px;
    font-family: 'Antonio', sans-serif;
    letter-spacing: 1px;
    background: rgba(71, 71, 71, 0.73);
    box-shadow: 0 4px 8px 0 rgba( 31, 38, 135, 0.37 );
    backdrop-filter: blur( 4px );
    -webkit-backdrop-filter: blur( 3px );
    border: 2px solid rgb(255, 255, 255);
    color: #ffffff;
    
}
::placeholder{
    color: #ffffff;
}

.search-button {
    position: absolute;
    top: 50%;
    right: 0px;
    transform: translateY(-50%);
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
}

.search-icon {
    width: 30px; 
    height: 30px; 
    pointer-events: none; 
}

#result{
    width: 420px;
    height: 410px;
    margin: 20px;
    color: #000000;
    border-radius: 43px;
    background: #0000008c;
   backdrop-filter: blur(5px);
   -webkit-backdrop-filter: blur(2px);
    box-shadow: rgba(39, 39, 39, 0.956) 0px 2px 8px 0px;
}

#result ul{
    list-style: none;
    padding: 0;
    margin-top: 25px;
}


.country{
    color: #ffffff;
    font-size: 20px;
    margin-bottom: 20px;
}

.temperature{
    font-size: 80px;
    color: #ffffff;
    font-weight: 700;
    
}

#text{
    font-size: 20px;
    color: #ffffff;
}
.icon{
    margin: -20px;
    text-align: center;
    margin-left: 15px;
}
.icon img{
    width: 70px;
    height: 70px;
    margin-bottom: -29px;
}

.lastUpdate{
    color: #ffffff;
    font-size: 15px;
    margin-top: 42px;
    letter-spacing: 1px;
    font-weight: 300;
}
.displayTime{
    color: #ffffff;
    font-size: 16px;
}

.line{
    padding: 1px;
    background-color: #ffffff;
    overflow: hidden;
    margin-top: 30px;

}
.humidity-feels,.wind-cloud{
   display: flex;
   justify-content: space-evenly;
   margin-top:20px;
   font-size: 16px;
    color: #ffffff  ;
}
.wind-cloud{
   margin-left: -22px;
}

#error{
    color: #ffffff;
    font-family: 'Antonio' ,sans-serif;
    font-size: 20px;
}
.onOpen{
  
    font-size: 30px;
    color: #ffffff;
    font-weight: 500;
    text-align: center;

   
    
}



/* respnsive */

@media ((max-width:500px)and (min-width:400px)){
    body{
        padding: 10px;
    }

    #card{
        max-width: 380px;
        height: 520px;
    }
 #result{
    width: 365px;
 }
}

@media ((max-width:400px)and (min-width:300px)){
    body{
        padding: 10px;

    }


    #card{
        max-width: 330px;
        height: 520px;
    }

    #result{
        max-width:300px;

    }

    .input-container input{
        width:58%
 
    }

    .search-button{
        right: 45px;
    }

    #error{
        font-size: 18px;
    }
}